View Issue Details

IDProjectCategoryView StatusLast Update
0023216mantisbttaggingpublic2017-09-09 18:38
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.6.0 
Target Version2.7.0Fixed in Version2.7.0 
Summary0023216: Make tag view threshold work at project level
Description

Currently the access level required to view tags is checked at global level.
This is very limiting when private projects are used, or when different project may have different usage of tags.
This can happen in scenarios where a user is member of projects with different access level than his global level, or when tag_view_threshold is configured differently for each project.

Note that, for example, tag_attach_threshold does work as project level access.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 33a274f0

2017-08-12 19:17:14

cproensa


Committer: dregad Details Diff
Check bug permissions to show tags

Check for bug access level, instead of global, to show tags in bug view
page.

Fixes: 0023216
mod - bug_view_inc.php Diff File

MantisBT: master 60733906

2017-08-12 19:31:38

cproensa


Committer: dregad Details Diff
Check project level to show tags in filter

Check project level, instead of global level, to show tags in the filter
form.

Fixes: 0023216
mod - core/filter_form_api.php Diff File

MantisBT: master 1b836a86

2017-08-13 20:50:04

cproensa


Committer: dregad Details Diff
Use tag view permission in filter query

Account for permissions in each project in the filter scope,
to match tags only on those with proper access to view tags.

Fixes: 0023216
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2017-08-14 18:51 cproensa New Issue
2017-08-14 19:28 cproensa Note Added: 0057458
2017-08-15 11:18 cproensa Assigned To => cproensa
2017-08-15 11:18 cproensa Status new => assigned
2017-09-09 18:35 dregad Changeset attached => MantisBT master 33a274f0
2017-09-09 18:35 dregad Changeset attached => MantisBT master 60733906
2017-09-09 18:35 dregad Changeset attached => MantisBT master 1b836a86
2017-09-09 18:35 cproensa Status assigned => resolved
2017-09-09 18:35 cproensa Resolution open => fixed
2017-09-09 18:35 cproensa Fixed in Version => 2.7.0
2017-09-09 18:38 dregad Target Version => 2.7.0